{% extends 'app_pizzaplanet/base.html' %}
{% load static %}


{% block contenido %}


<script>

    function eliminarPer(id) {
        Swal.fire({
            title: '¿Está seguro que desea eliminar el usuario?',
            icon: 'warning',
            confirmButtonText: 'Eliminar',
            confirmButtonColor: 'Red',
            showCancelButton: true,
            cancelButtonText: 'Cancelar'

        }).then(function (result) {

            if (result.isConfirmed) {
                window.location.href = "/eliminar_usuario/" + id + "";
            }
        });
    }

</script>




<!--necesario para que muestre la alerta-->
{% if messages %}

{% for message in messages %}
<script>
    Swal.fire({
        title: 'Exito!',
        text: '{{message}}',
        icon: 'success',
        confirmButtonText: "Aceptar",
        confirmButtonColor: "Green"


    })
</script>
{% endfor %}
{% endif %}


<div class="container text-center pt-5">

    <h3>Listado de Usuarios</h3>
    <br>


    <table class="table   table-striped ">
        <thead class="thead-light">
            <tr>

                <th>Id</th>
                <th>Username</th>
                <th>Nombre</th>
                <th>Apellido</th>
                <th>Activo</th>
                <th>Administrador</th>
                <th>Acciones</th>
                


            </tr>
        </thead>
        <tbody id="tablaPro">
            {% csrf_token %}
            {% for item in usuarios %}
            <tr>
                <td>{{item.id}}</td>
                <td>{{item.username}}</td>
                <td>{{item.first_name}}</td>
                <td>{{item.last_name}}</td>
                {% if item.is_active %}
                <td>✅</td>
                {% else %}
                <td>⛔</td>
                {% endif %}

                {% if item.is_staff %}
                <td>✅</td>
                {% else %}
                <td>⛔</td>
                {% endif %}

                <td>
                    <a name="" id="" class="btn btn-warning text-dark" href="{% url 'editarUser' item.id %}"
                        role="button">Modificar</a>
                    
                    
                    <a name="" id="" class="btn btn-warning text-dark" href="#" onclick="eliminarPer({{item.id}})"
                        role="button">Eliminar</a>
                   
                </td>
               


            </tr>
            {% endfor %}
        </tbody>
    </table>


</div>










{% endblock contenido %}